<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_BACKEND_COMMENT['H2']						= 'Backend Kommentare';
	$MOD_BACKEND_COMMENT['H3']['list']				= 'Bestehende Kommentare';
	$MOD_BACKEND_COMMENT['H3']['edit']				= 'Bearbeite einen Kommentar';
	$MOD_BACKEND_COMMENT['H3']['add']				= 'Kommentar hinzufügen';

// field names
	$MOD_BACKEND_COMMENT['FLD']['id']				= "ID";
	$MOD_BACKEND_COMMENT['FLD']['created']			= "Erstellt";
	$MOD_BACKEND_COMMENT['FLD']['modified']			= "Zuletzt geändert";

	$MOD_BACKEND_COMMENT['FLD']['comment_type']		= 'Kommentar Typ';
	$MOD_BACKEND_COMMENT['FLD']['visibility']		= 'Kommentar Sichtbarkeit';
	$MOD_BACKEND_COMMENT['FLD']['comment']			= 'Kommentar Text';

// placeholders
	$MOD_BACKEND_COMMENT['PLH']['comment_type']		= 'TODO';
	$MOD_BACKEND_COMMENT['PLH']['visibility']		= 'PUBLIC';
	$MOD_BACKEND_COMMENT['PLH']['comment']			= '';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_BACKEND_COMMENT['HLP']['comment_type']		= 'Definiert den Kommentar Typ. Dient zur Anzeige des Farbbalkens links des Kommentars.';
	$MOD_BACKEND_COMMENT['HLP']['visibility']		= 'Definiert wer diesen Kommentar im Backend sieht.';
	$MOD_BACKEND_COMMENT['HLP']['comment']			= 'Der Kommentar Text';

// comment_types
	$MOD_BACKEND_COMMENT['COMMENT_TYPE']['TODO']		= 'ToDo';
	$MOD_BACKEND_COMMENT['COMMENT_TYPE']['IMPORTANT']= 'Wichtig';
	$MOD_BACKEND_COMMENT['COMMENT_TYPE']['WARNING']	= 'Warnung';
	$MOD_BACKEND_COMMENT['COMMENT_TYPE']['SOLVED']	= 'Erledigt';

// visibilities
	$MOD_BACKEND_COMMENT['VISIBILITY']['USER']		= 'nur für mich';
	$MOD_BACKEND_COMMENT['VISIBILITY']['GROUP']		= 'für meine Gruppe';
	$MOD_BACKEND_COMMENT['VISIBILITY']['PUBLIC']		= 'für alle';

// JS dialog titles
	$MOD_BACKEND_COMMENT['DIALOG']['preview']		= 'Vorschau';
	$MOD_BACKEND_COMMENT['DIALOG']['restore_row']	= 'Kommentar wiederherstellen';
	$MOD_BACKEND_COMMENT['DIALOG']['delete_row']		= 'Kommentar löschen';

?>
