<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// delete rows
	$MOD_BACKEND_COMMENT['ajax.delete_row']['ERROR']['rowid_empty']		= 'The key-value is missing.<br />Theoretically this should never happen  ....!';
	$MOD_BACKEND_COMMENT['ajax.delete_row']['ERROR']['not_exists']		= 'There is no database record for this key.<br />Hmm.... ???';

	$MOD_BACKEND_COMMENT['ajax.delete_row']['ERROR']['invalid_status']	= 'This database record has an invalid status and could not have been restored due to!';

	$MOD_BACKEND_COMMENT['ajax.delete_row']['ERROR']['restore_failed']	= 'An error occured while restoring this database record!<br />Please try again.';
	$MOD_BACKEND_COMMENT['ajax.delete_row']['ERROR']['delete_failed']	= 'An error occured while deleting this database record into trash!<br />Please try again.';
	$MOD_BACKEND_COMMENT['ajax.delete_row']['ERROR']['deleted_failed']	= 'An error occured while deleting this database record finally!<br />Please try again.';


	$MOD_BACKEND_COMMENT['ajax.delete_row']['INFO']['restore_success']	= 'This database record has been restored!';
	$MOD_BACKEND_COMMENT['ajax.delete_row']['INFO']['delete_success']	= 'This database record has been deleted into trash!';
	$MOD_BACKEND_COMMENT['ajax.delete_row']['INFO']['deleted_success']	= 'This database record has been deleted!';

?>
