<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_BACKEND_COMMENT['H2']						= 'Backend Comments';
	$MOD_BACKEND_COMMENT['H3']['list']				= 'Available comments';
	$MOD_BACKEND_COMMENT['H3']['edit']				= 'Edit a comment';
	$MOD_BACKEND_COMMENT['H3']['add']				= 'Add a comment';

// field names
	$MOD_BACKEND_COMMENT['FLD']['id']				= "ID";
	$MOD_BACKEND_COMMENT['FLD']['created']			= "Created";
	$MOD_BACKEND_COMMENT['FLD']['modified']			= "Last modified";

	$MOD_BACKEND_COMMENT['FLD']['comment_type']		= 'Comment Type';
	$MOD_BACKEND_COMMENT['FLD']['visibility']		= 'Comment Visibility';
	$MOD_BACKEND_COMMENT['FLD']['comment']			= 'Comment Text';

// placeholders
	$MOD_BACKEND_COMMENT['PLH']['comment_type']		= 'TODO';
	$MOD_BACKEND_COMMENT['PLH']['visibility']		= 'PUBLIC';
	$MOD_BACKEND_COMMENT['PLH']['comment']			= '';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_BACKEND_COMMENT['HLP']['comment_type']		= 'Defines the kind of comment type. Used for displaying the color box left aside the comment.';
	$MOD_BACKEND_COMMENT['HLP']['visibility']		= 'Defines who sees this comment in the backend';
	$MOD_BACKEND_COMMENT['HLP']['comment']			= 'The comment text';

// comment_types
	$MOD_BACKEND_COMMENT['COMMENT_TYPE']['TODO']		= 'ToDo';
	$MOD_BACKEND_COMMENT['COMMENT_TYPE']['IMPORTANT']= 'Important';
	$MOD_BACKEND_COMMENT['COMMENT_TYPE']['WARNING']	= 'Warning';
	$MOD_BACKEND_COMMENT['COMMENT_TYPE']['SOLVED']	= 'Solved';

// visibilities
	$MOD_BACKEND_COMMENT['VISIBILITY']['USER']		= 'for my eyes only';
	$MOD_BACKEND_COMMENT['VISIBILITY']['GROUP']		= 'for my group';
	$MOD_BACKEND_COMMENT['VISIBILITY']['PUBLIC']		= 'for all';

// JS dialog titles
	$MOD_BACKEND_COMMENT['DIALOG']['preview']		= 'Preview';
	$MOD_BACKEND_COMMENT['DIALOG']['restore_row']	= 'Restore Comment';
	$MOD_BACKEND_COMMENT['DIALOG']['delete_row']		= 'Delete Comment';

?>
