<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// initialize status
	$status = TRUE;


// prepare SQL
	if ( $data[ 'comment_id' ] > 0 ):
		// do update
		$query = 'UPDATE ' . TABLE_PREFIX . 'mod_backend_comment'
				. ' SET '
				. '  `modified_by`		= ' . $admin->get_user_id()
				. ', `version_number`	= `version_number` + 1'
				. ( isset( $data[ 'comment_type'] )	== TRUE ? ', `comment_type`'	. '= \'' . $data[ 'comment_type'] . '\''	: '' )
				. ( isset( $data[ 'visibility'])	== TRUE ? ', `visibility`'		. '= \'' . $data[ 'visibility'] . '\''		: '' )
				. ( isset( $data[ 'comment'])		== TRUE ? ', `comment`'			. '= \'' . $data[ 'comment'] . '\''			: '' )
				. ' WHERE `comment_id` = ' . $data[ 'comment_id' ]
				;
	else:
		// get count
		$query = 'SELECT COUNT(1) '
				. ' FROM ' . TABLE_PREFIX . 'mod_backend_comment'
				. ' WHERE `section_id` = ' . $section_id
				;
		$data[ 'count' ] = max( 0, comment_execute_query( __FUNCTION__, $query, 'get_one' ));

		// get max position id
		$query = 'SELECT MAX(`position`) '
				. ' FROM ' . TABLE_PREFIX . 'mod_backend_comment'
				. ' WHERE `section_id` = ' . $section_id
				;
		$data[ 'position' ] = 1 + max( 0, comment_execute_query( __FUNCTION__, $query, 'get_one' ));

		// we may have old rows created before introduction of position field ...
		if ( $data[ 'count' ] > $data[ 'position' ] ):
			$data[ 'position' ] = 1 + $data[ 'count' ];
		endif;

		// do insert
		$query = 'INSERT INTO ' . TABLE_PREFIX . 'mod_backend_comment '
					. ' ( `page_id`'
					. ', `section_id`'
					. ', `created_when`'
					. ', `created_by`'
					. ', `modified_by`'
					. ', `position`'
					. ', `comment_type`'
					. ', `visibility`'
					. ', `comment`'
					. ' )'
				. ' VALUES'
					. ' (' . $page_id
					. ', ' . $section_id
					. ', CURRENT_TIMESTAMP'
					. ', ' . $admin->get_user_id()
					. ', ' . $admin->get_user_id()
					. ', ' . $data[ 'position' ]
					. ', ' . ( isset( $data[ 'comment_type'] )	== TRUE ? '\'' . $data[ 'comment_type'] . '\''	: $MOD_BACKEND_COMMENT['PLH']['comment_type'] )
					. ', ' . ( isset( $data[ 'visibility'] )	== TRUE ? '\'' . $data[ 'visibility'] . '\''	: $MOD_BACKEND_COMMENT['PLH']['visibility'] )
					. ', ' . ( isset( $data[ 'comment'] )		== TRUE ? '\'' . $data[ 'comment'] . '\''		: $MOD_BACKEND_COMMENT['PLH']['comment'] )
					. ')'
					;
	endif;

// run the insert/update query
	$status = comment_execute_query( __FUNCTION__, $query, 'try_catch' );

?>
